- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::Connection Class Referenceabstract

An interface which provides address information for a network connection. More...

`#include <gconnection.h>`

Inheritance diagram for GNet::Connection:

## Public Member Functions
virtual std::pair< bool, Address > | localAddress () const =0
| Returns the connection's local address. More...
virtual std::pair< bool, Address > | peerAddress () const =0
| Returns the connection's peer address. More...
virtual std::string | peerCertificate () const =0
| Returns the connection peer's TLS certificate. More...
virtual | ~Connection ()
| Destructor. More...

## Detailed Description

An interface which provides address information for a network connection.

See also
  GNet::Client, GNet::ServerPeer

Definition at line 39 of file gconnection.h.

## Constructor & Destructor Documentation

GNet::Connection::~Connection | ( |  | ) |
| virtual

Destructor.

Definition at line 25 of file gconnection.cpp.

## Member Function Documentation

virtual std::pair<bool,Address> GNet::Connection::localAddress | ( |  | ) | const
| pure virtual

Returns the connection's local address.

Pair.first is false if none.

Implemented in GNet::ServerPeer, and GNet::SimpleClient.

virtual std::pair<bool,Address> GNet::Connection::peerAddress | ( |  | ) | const
| pure virtual

Returns the connection's peer address.

Pair.first is false if none.

Implemented in GNet::ServerPeer, and GNet::SimpleClient.

virtual std::string GNet::Connection::peerCertificate | ( |  | ) | const
| pure virtual

Returns the connection peer's TLS certificate.

Returns the empty string if none.

Implemented in GNet::ServerPeer, and GNet::SimpleClient.

The documentation for this class was generated from the following files:

- gconnection.h
- gconnection.cpp